<div id="background">
  <div style="margin-top: 3%">
    <div class="grid col-12 justify-content-center">
      <div id="logo"></div>
    </div>

    <div class="grid justify-content-center" style="margin-top: 2%">
      <div class="col-10">
        <div class="grid justify-content-center">
          <div class="card-title">
            <div style="margin-top: 2%">
              <span style="color: #54b0d9"><i>งานเกษียณ</i></span>
              <span style="color: #f19129"><i>คุณครูสุภัค</i></span>
            </div>
          </div>
          <div class="card" style="margin-top: 2%">
            <form [formGroup]="congratForm" (ngSubmit)="onSubmit()">
              <div class="grid" style="margin-top: 5%">
                <div class="col-12">
                  <label for="full-name">ชื่อ - นามสกุล </label>
                </div>
                <div class="col-12">
                  <input
                    class="col-12"
                    style="padding: 0"
                    id="full-name"
                    type="text"
                    formControlName="fullName"
                  />
                </div>

                <div class="col-12">
                  <label for="congrat-message">คำอวยพร </label>
                </div>
                <div class="col-12">
                  <textarea
                    class="col-12"
                    rows="4"
                    id="congrat-message"
                    type="textarea"
                    formControlName="congratMessage"
                  ></textarea>
                </div>

                <div class="col-12">
                  <label for="gender">เลือกตัวละคร </label>
                </div>

                <div class="grid col-6 justify-content-center">
                  <div id="female-student"></div>
                </div>

                <div class="col-6">
                  <div class="col-10" style="padding-left: 0">
                    <button
                      type="submit"
                      class="btn btn-danger"
                      style="
                        color: #ffffff;
                        background-color: #f19129;
                        width: 100%;
                        font-size: 12px;
                      "
                      [disabled]="!congratForm.valid"
                    >
                      อัพโหลดรูป
                    </button>
                  </div>

                  <div formGroupName="gender">
                    <div class="col-12" style="padding: 0">
                      <input
                        type="radio"
                        value="1"
                        formControlName="female"
                        style=""
                      />
                      ชุดผู้หญิง
                    </div>

                    <div class="col-12" style="padding: 0">
                      <input type="radio" value="1" formControlName="male" />
                      ชุดผู้ชาย
                    </div>
                  </div>
                </div>
              </div>

              <button
                type="submit"
                class="btn btn-info"
                style="color: #ffffff; background-color: #54b0d9; width: 100%"
                [disabled]="!congratForm.valid"
              >
                ส่งคำอวยพรของท่าน
              </button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
